> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Object Attribute

> Rename an attribute, change its options, make it required, reorder or archive it. Returns the object type.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/crm/objects/{type_key}/attributes/{attribute_key}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/objects/{type_key}/attributes/{attribute_key}:
    put:
      tags:
        - CRM objects
      summary: Update Object Attribute
      description: >-
        Rename an attribute, change its options, make it required, reorder or
        archive it. Returns the object type.
      operationId: update_crm_object_attribute
      parameters:
        - in: path
          name: type_key
          schema:
            title: Type Key
            type: string
          required: true
        - in: path
          name: attribute_key
          schema:
            title: Attribute Key
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttributeUpdateIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AttributeUpdateIn:
      properties:
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        options:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          description: >-
            Select, multi_select and status: labels, or {id, label, color} to
            keep an option's id
          title: Options
        is_required:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Required
        is_archived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Archived
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        formula:
          anyOf:
            - type: string
            - type: 'null'
          description: 'Formula attributes: arithmetic over number attributes'
          title: Formula
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          description: 'AI attributes: what the model must answer about each record'
          title: Prompt
        admin_only:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Read and written by the object type's admins only
          title: Admin Only
        is_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Never given to the support agent
          title: Is Sensitive
      title: AttributeUpdateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.